/* start global styles */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

::placeholder {
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    color: black;
    font-size: 18px;
}

button {
    background: transparent;
    border: none;
}

input {
    outline: none;
    border: none;
    background: transparent;
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    color: black;
    font-size: 18px;
}


/* end global styles */

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');
.top {
    background-image: linear-gradient(#efff5c, white);
    height: 50vh;
    position: absolute;
    width: 100%;
    z-index: -1;
}

.main {
    width: 90%;
    height: 500px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 0 25px 0 black;
    border-radius: 25px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

@media (max-width:768px) {
    .main {
        grid-template-columns: 1fr;
    }
    .main .left_section {
        display: none!important;
    }
}

.main .left_section {
    display: flex;
    justify-content: center;
    align-items: center;
}

.main .left_section img {
    width: 350px;
    max-width: 100%;
}

.main .right_section {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
    padding: 10px 50px;
}

@media (max-width:768px) {
    .main .right_section {
        padding: 10px;
    }
}

.main .right_section img {
    width: 120px;
    max-width: 100%;
}

.main .right_section h2 {
    font-family: 'Poppins', sans-serif;
    font-weight: 600;
    color: #efff5c;
    text-align: center;
}

.main .right_section p {
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    font-size: 19px;
    color: #efff5c;
    text-align: center;
}

.main .right_section .username {
    background-color: #eee;
    width: 100%;
    padding: 10px 10px;
    display: grid;
    grid-template-columns: 7% 93%;
    border-radius: 7px;
    align-items: baseline;
    grid-column-gap: 5px;
}

.main .right_section .password {
    background-color: #eee;
    width: 100%;
    padding: 10px 10px;
    display: grid;
    grid-template-columns: 7% 84% 7%;
    border-radius: 7px;
    align-items: baseline;
    grid-column-gap: 5px;
}

.main .right_section .username i,
.main .right_section .password i {
    font-size: 22px;
    max-width: 100%;
}

@media (max-width:576px) {
    .main .right_section .username i,
    .main .right_section .password i {
        font-size: 16px;
        max-width: 100%;
    }
     ::placeholder {
        font-size: 16px;
    }
    .main .right_section .password {
        grid-template-columns: 7% 80% 10%;
    }
}

@media (max-width:370px) {
    .main .right_section .username,
    .main .right_section .password,
    .main .right_section .forget {
        width: 200px!important;
    }
}

.main .right_section .password #show_or_hidden {
    opacity: 0.6;
    cursor: pointer;
}

.main .right_section .forget {
    width: 100%;
    text-align: right;
    color: black;
    font-family: 'Poppins', sans-serif;
    font-weight: 400;
}

.main .right_section .forget a {
    text-decoration: none;
    color: inherit;
}

.main .right_section .forget a:hover {
    color: #efff5c;
}

.main .right_section .my_btn {
    padding: 10px 5px;
    border-radius: 50px;
    color: white;
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
    width: 80%;
    font-size: 18px;
    background-color: #efff5c;
    cursor: pointer;
    transition: 0.7s;
}

.main .right_section .my_btn:hover {
    box-shadow: 0 0 20px 0 #444343;
}